Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.data.tabular
Class ModuleSchemaEntry

    java.lang.Object
      things.data.tabular.ModuleSchemaEntry

    public class ModuleSchemaEntry

extends java.lang.Object

An module schema entry. section, line, entry, type, Default text, incidence, validator DECLARE_ENTRY("GROUP", "GROUP", "Name", TYPE_STRING, "Enter name here", INCIDENCE_UNIQUE, "VALIDATE_GROUP_NAME");

NOTE: This package was never completed and isn't used anywhere.

Version:
  1.0

  Version History

      EPG - Refactor completely. - 10 NOV 04

Author:
  Erich P. Gatejen

Field Summary
`static int` | `INCIDENCE_FREE`
`static int` | `INCIDENCE_UNIQUE`
`java.lang.String` | `myDefaultText`
`int` | `myIncidence`
`java.lang.String` | `myName`
`java.lang.String` | `myToken`
`int` | `myType`
`java.lang.String` | `myValidator`
`static java.lang.String` | `NO_SET`
`static java.lang.String` | `SCHEMA_TOKEN`
`static int` | `TYPE_NUMERIC`
`static int` | `TYPE_PERCENTAGE`
`static int` | `TYPE_STRING`

Constructor Summary
`ModuleSchemaEntry()`
`ModuleSchemaEntry(java.lang.String name, java.lang.String token)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_SET

    public static final java.lang.String NO_SET

### SCHEMA_TOKEN

    public static final java.lang.String SCHEMA_TOKEN

### myName

    public java.lang.String myName

### myToken

    public java.lang.String myToken

### myType

    public int myType

### myIncidence

    public int myIncidence

### myValidator

    public java.lang.String myValidator

### myDefaultText

    public java.lang.String myDefaultText

### TYPE_STRING

    public static final int TYPE_STRING

See Also:
  Constant Field Values

### TYPE_NUMERIC

    public static final int TYPE_NUMERIC

See Also:
  Constant Field Values

### TYPE_PERCENTAGE

    public static final int TYPE_PERCENTAGE

See Also:
  Constant Field Values

### INCIDENCE_FREE

    public static final int INCIDENCE_FREE

See Also:
  Constant Field Values

### INCIDENCE_UNIQUE

    public static final int INCIDENCE_UNIQUE

See Also:
  Constant Field Values

Constructor Detail

### ModuleSchemaEntry

    public ModuleSchemaEntry()
                      throws java.lang.Throwable

Throws:
  `java.lang.Throwable`

### ModuleSchemaEntry

    public ModuleSchemaEntry(java.lang.String name,
                             java.lang.String token)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.